Bug 45604 - curl: Multiple issues (4.2)
curl: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
http://metadata.ftp-master.debian.org...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-26 14:10 CEST by Philipp Hahn
Modified: 2018-04-18 14:15 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 6.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2017-10-26 14:10:56 CEST
curl (7.38.0-4+deb8u6) jessie-security
  * Fix TFTP sends more than buffer size as per CVE-2017-1000100
    https://curl.haxx.se/docs/adv_20170809B.html
  * Fix URL globbing out of bounds read as per CVE-2017-1000101
    https://curl.haxx.se/docs/adv_20170809A.html
  * Fix FTP PWD response parser out of bounds read as per CVE-2017-1000254
    https://curl.haxx.se/docs/adv_20171004.html
Comment 1 Arvid Requate univentionstaff 2017-11-01 16:11:30 CET
7.38.0-4+deb8u7 fixes:

* Out of bounds read during IMAP FETCH response (CVE-2017-1000257)
Comment 2 Philipp Hahn univentionstaff 2018-01-23 12:24:22 CET
 7.38.0-4+deb8u8 (Sat, 25 Nov 2017 22:03:21 +0100)
  * Fix NTLM buffer overflow via integer overflow as per CVE-2017-8816
    https://curl.haxx.se/docs/adv_2017-11e7.html
  * Fix FTP wildcard out of bounds read as per CVE-2017-8817
    https://curl.haxx.se/docs/adv_2017-ae72.html
Comment 3 Philipp Hahn univentionstaff 2018-01-25 10:59:57 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 4 Philipp Hahn univentionstaff 2018-01-27 09:27:33 CET
curl (7.38.0-4+deb8u9) jessie-security:
* CVE-2018-1000005 curl: Out-of-bounds read in code handling HTTP/2 trailers
* CVE-2018-1000007 curl: HTTP authentication leak in redirects

677640fadc Bug #45604: curl
Comment 5 Philipp Hahn univentionstaff 2018-01-28 09:42:44 CET
(In reply to Philipp Hahn from comment #4)
> curl (7.38.0-4+deb8u9) jessie-security:
> * CVE-2018-1000005 curl: Out-of-bounds read in code handling HTTP/2 trailers
> * CVE-2018-1000007 curl: HTTP authentication leak in redirects
> 
> 677640fadc Bug #45604: curl

Rebased: e913eda190 Bug #45604: curl
Comment 6 Philipp Hahn univentionstaff 2018-03-17 07:53:05 CET
7.38.0-4+deb8u10:
 CVE-2018-1000120 curl: FTP path trickery leads to NIL byte out of bounds write
 CVE-2018-1000121 curl: LDAP NULL pointer dereference
 CVE-2018-1000122 curl: RTSP RTP buffer over-read

[4.2-3] 19b5c4ef2b Bug #45604: curl 7.38.0-4+deb8u10
 doc/errata/staging/curl.yaml | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)
Comment 7 Arvid Requate univentionstaff 2018-04-12 18:49:02 CEST
Verified:
* Upstream binary imported into errata4.2-3
* No additional UCS patches in 4.2
* Advisory: Ok (I've sorted teh CVEs)

* According to the Debian security-tracker, the jessie version is not affected by CVE-2018-1000005. It's also not noted in the Debian changelog.
Comment 8 Arvid Requate univentionstaff 2018-04-18 14:15:56 CEST
<http://errata.software-univention.de/ucs/4.2/328.html>